## helma.framework.repository
Class ResourceTracker

    java.lang.Object
      helma.framework.repository.ResourceTracker

    public class ResourceTracker

extends java.lang.Object

A utility class that allows Resource consumers to track changes on resources.

Constructor Summary
`ResourceTracker(Resource resource)`

Method Summary
`Resource` `getResource()`
`boolean` `hasChanged()`
`void` `markClean()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceTracker

    public ResourceTracker(Resource resource)

Method Detail

### hasChanged

    public boolean hasChanged()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### markClean

    public void markClean()

### getResource

    public Resource getResource()

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.